/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      

      

      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         sym.$('.center-wrapper').css("overflow","hidden");

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'bt_next'
   (function(symbolName) {   
   
      

      

      

      

      

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
      });
      //Edge binding end

      

   })("bt_next");
   //Edge symbol end:'bt_next'

   //=========================================================
   
   //Edge symbol: 'bt_back'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         

      });
      //Edge binding end

      

      

      

      

      

      

   })("bt_back");
   //Edge symbol end:'bt_back'

   //=========================================================
   
   //Edge symbol: 'Hot_Spot'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         sym.play();

      });
      //Edge binding end

   })("Hot_Spot");
   //Edge symbol end:'Hot_Spot'

   //=========================================================
   
   //Edge symbol: 'bg_defecto_simbolo'
   (function(symbolName) {   
   
   })("bg_defecto_simbolo");
   //Edge symbol end:'bg_defecto_simbolo'

   //=========================================================
   
   //Edge symbol: 'bt_3'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_HotSpot1}", "click", function(sym, e) {
         sym.stop("down");
         
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bt_2").stop("up");
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bt_1").stop("up");
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bt_4").stop("up");
         
         
         sym.getComposition().getStage().getSymbol("slide_1").$("msg_incorrecto").show();
         setTimeout('$("#Stage_slide_1_msg_incorrecto").fadeOut("slow");', 2500);
         sym.getComposition().getStage().getSymbol("slide_1").$("bad2").show();
         
         sym.getComposition().getStage().$("error")[0].play();
         sym.getComposition().getStage().$("error")[0].muted = false;
         
         sym.getComposition().getStage().getSymbol("slide_1").$("msg_correcto").hide();
         sym.getComposition().getStage().getSymbol("slide_1").$("bad").hide();
         sym.getComposition().getStage().getSymbol("slide_1").$("bad3").hide();
         sym.getComposition().getStage().getSymbol("slide_1").$("ok").hide();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_HotSpot2}", "click", function(sym, e) {
         sym.stop("up");
         
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bt_2").stop("up");
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bt_1").stop("up");
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bt_4").stop("up");
         
         sym.getComposition().getStage().getSymbol("slide_1").$("msg_incorrecto").hide();
         sym.getComposition().getStage().getSymbol("slide_1").$("msg_correcto").hide();
         sym.getComposition().getStage().getSymbol("slide_1").$("bad").hide();
         sym.getComposition().getStage().getSymbol("slide_1").$("bad2").hide();
         sym.getComposition().getStage().getSymbol("slide_1").$("bad3").hide();
         sym.getComposition().getStage().getSymbol("slide_1").$("ok").hide();

      });
      //Edge binding end

   })("bt_3");
   //Edge symbol end:'bt_3'

   //=========================================================
   
   //Edge symbol: 'bt_4'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_HotSpot1}", "click", function(sym, e) {
         sym.stop("down");
         
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bt_2").stop("up");
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bt_3").stop("up");
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bt_1").stop("up");
         
         sym.getComposition().getStage().getSymbol("slide_1").$("msg_incorrecto").show();
         setTimeout('$("#Stage_slide_1_msg_incorrecto").fadeOut("slow");', 2500);
         sym.getComposition().getStage().getSymbol("slide_1").$("bad3").show();
         
         sym.getComposition().getStage().$("error")[0].play();
         sym.getComposition().getStage().$("error")[0].muted = false;
         
         sym.getComposition().getStage().getSymbol("slide_1").$("msg_correcto").hide();
         sym.getComposition().getStage().getSymbol("slide_1").$("bad").hide();
         sym.getComposition().getStage().getSymbol("slide_1").$("bad2").hide();
         sym.getComposition().getStage().getSymbol("slide_1").$("ok").hide();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_HotSpot2}", "click", function(sym, e) {
         sym.stop("up");
         
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bt_2").stop("up");
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bt_3").stop("up");
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bt_1").stop("up");
         
         
         sym.getComposition().getStage().getSymbol("slide_1").$("msg_incorrecto").hide();
         sym.getComposition().getStage().getSymbol("slide_1").$("msg_correcto").hide();
         sym.getComposition().getStage().getSymbol("slide_1").$("bad").hide();
         sym.getComposition().getStage().getSymbol("slide_1").$("bad2").hide();
         sym.getComposition().getStage().getSymbol("slide_1").$("bad3").hide();
         sym.getComposition().getStage().getSymbol("slide_1").$("ok").hide();

      });
      //Edge binding end

   })("bt_4");
   //Edge symbol end:'bt_4'

   //=========================================================
   
   //Edge symbol: 'slide_5'
   (function(symbolName) {   
   
      

      

      

      

      

      

      

      

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 3500, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("slide_1");
   //Edge symbol end:'slide_1'

   //=========================================================
   
   //Edge symbol: 'bt_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_HotSpot1}", "click", function(sym, e) {
         sym.stop("down");
         
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bt_2").stop("up");
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bt_3").stop("up");
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bt_4").stop("up");
         
         
         
         // Mostrar un elemento 
         sym.getComposition().getStage().getSymbol("slide_1").$("msg_incorrecto").show();
         setTimeout('$("#Stage_slide_1_msg_incorrecto").fadeOut("slow");', 2500);
         sym.getComposition().getStage().getSymbol("slide_1").$("bad").show();
         sym.getComposition().getStage().$("error")[0].play();
         sym.getComposition().getStage().$("error")[0].muted = false;
         
         sym.getComposition().getStage().getSymbol("slide_1").$("msg_correcto").hide();
         sym.getComposition().getStage().getSymbol("slide_1").$("bad2").hide();
         sym.getComposition().getStage().getSymbol("slide_1").$("bad3").hide();
         sym.getComposition().getStage().getSymbol("slide_1").$("ok").hide();
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_HotSpot2}", "click", function(sym, e) {
         sym.stop("up");
         
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bt_2").stop("up");
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bt_3").stop("up");
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bt_4").stop("up");
         
         
         sym.getComposition().getStage().getSymbol("slide_1").$("msg_incorrecto").hide();
         sym.getComposition().getStage().getSymbol("slide_1").$("msg_correcto").hide();
         sym.getComposition().getStage().getSymbol("slide_1").$("bad").hide();
         sym.getComposition().getStage().getSymbol("slide_1").$("bad2").hide();
         sym.getComposition().getStage().getSymbol("slide_1").$("bad3").hide();
         sym.getComposition().getStage().getSymbol("slide_1").$("ok").hide();
         

      });
      //Edge binding end

   })("bt_1");
   //Edge symbol end:'bt_1'

   //=========================================================
   
   //Edge symbol: 'bt_2'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_HotSpot1}", "click", function(sym, e) {
         sym.stop("down");
         
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bt_1").stop("up");
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bt_3").stop("up");
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bt_4").stop("up");
         
         
         sym.getComposition().getStage().getSymbol("slide_1").$("msg_correcto").show();
         setTimeout('$("#Stage_slide_1_msg_correcto").fadeOut("slow");', 2500);
         sym.getComposition().getStage().getSymbol("slide_1").$("ok").show();
         
         sym.getComposition().getStage().$("success")[0].play();
         sym.getComposition().getStage().$("success")[0].muted = false;
         
         
         sym.getComposition().getStage().getSymbol("slide_1").$("msg_incorrecto").hide();
         sym.getComposition().getStage().getSymbol("slide_1").$("bad").hide();
         sym.getComposition().getStage().getSymbol("slide_1").$("bad2").hide();
         sym.getComposition().getStage().getSymbol("slide_1").$("bad3").hide();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_HotSpot2}", "click", function(sym, e) {
         sym.stop("up");
         
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bt_1").stop("up");
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bt_3").stop("up");
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bt_4").stop("up");
         
         sym.getComposition().getStage().getSymbol("slide_1").$("msg_incorrecto").hide();
         sym.getComposition().getStage().getSymbol("slide_1").$("msg_correcto").hide();
         sym.getComposition().getStage().getSymbol("slide_1").$("bad").hide();
         sym.getComposition().getStage().getSymbol("slide_1").$("bad2").hide();
         sym.getComposition().getStage().getSymbol("slide_1").$("bad3").hide();
         sym.getComposition().getStage().getSymbol("slide_1").$("ok").hide();

      });
      //Edge binding end

   })("bt_2");
   //Edge symbol end:'bt_2'

})(jQuery, AdobeEdge, "EDGE-5531445");